textures/trickmap2/oilslickwall
{
        surfaceparm nodamage
        surfaceparm slick
	{
		map textures/trickmap2/oilslickwall.jpg
	}	
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc gl_dst_color gl_src_color
	}
	{
		map $lightmap 
		blendFunc filter
		rgbgen identity
	}
}

// Have a special shader for concrete floors without damage (cushioned). We could override
// trickmap2/concrete, but it doesn't play well with the stylelights.
textures/trickmap2/concrete
{
	qer_editorImage textures/trickmap2/concrete.jpg
	surfaceparm nodamage
	{
		map textures/trickmap2/concrete.jpg
	}
	q3map_styleMarker
	{
		map $lightmap 
		rgbgen identity
		blendFunc filter
	}
}

textures/trickmap2/concrete_nograb
{
	qer_editorImage textures/trickmap2/faintyellow.tga
	surfaceparm nodamage
	{
		map textures/trickmap2/concrete.jpg
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc add
	}
	{
		map $lightmap 
		blendFunc filter
		rgbgen identity
	}
}

textures/trickmap2/railing
{
	qer_editorImage textures/trickmap2/concrete.jpg
	surfaceparm nodamage
	{
		map textures/trickmap2/concrete.jpg
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc gl_dst_color gl_src_color
	}
	{
		map $lightmap 
		blendFunc filter
		rgbgen identity
	}
}

textures/trickmap2/lightpanel
{
	q3map_surfaceLight 4000
	q3map_lightRGB 1 1 0.8
	qer_editorImage textures/trickmap2/lightpanel.jpg
	surfaceparm nolightmap
	{
		map textures/trickmap2/lightpanel.jpg
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc add
	}
}

textures/trickmap2/lightbox
{
	qer_editorImage textures/trickmap2/concrete.jpg
	{
		map textures/trickmap2/concrete.jpg
	}
	{
		map $lightmap 
		blendFunc filter
		rgbgen identity
	}
}

textures/trickmap2/runninggreengoo
{
	qer_editorImage textures/trickmap2/greengoo.jpg
	TessSize 256
	{ 
		map textures/trickmap2/greengoo.jpg
		rgbgen identity
		tcmod scroll .04 -1.41
	}
	{
		map $lightmap
		blendFunc filter
		rgbgen identity		
	}
}


textures/trickmap2/greengoo
{
	cull disable
	surfaceparm water
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm fog
	TessSize 256
	deformVertexes wave 45 sin 5 4 2 .6
	//deformVertexes wave 64 sin 16 15 0 .5
	//tessSize 64
	q3map_surfaceLight 50
	q3map_lightSubdivide 64
	fogparms ( 0 0.2 0 ) 1024
	{ 
		map textures/trickmap2/greengoo.jpg
		//blendFunc gl_dst_color gl_src_color
		rgbgen identity
		tcmod scale .5 .5
		// tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}
	{
		map $lightmap
		blendFunc filter
		rgbgen identity		
	}
}


textures/trickmap2/stillgreengoo
{
	cull disable
	surfaceparm water
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm fog
	TessSize 256
	deformVertexes wave 45 sin 5 4 2 .6
	q3map_surfaceLight 50
	q3map_lightSubdivide 64
	qer_editorImage textures/trickmap2/greengoo.jpg
	fogparms ( 0 0.2 0 ) 1024
	{ 
		map textures/trickmap2/greengoo.jpg
		rgbgen identity
		tcmod scale .5 .5
	}
	{
		map $lightmap
		blendFunc filter
		rgbgen identity		
	}
}

textures/trickmap2/fallingmansign
{
	qer_editorImage textures/trickmap2/fallingmansign.jpg
	surfaceparm nonsolid
	surfaceparm detail
	{
		map textures/trickmap2/fallingmansign.jpg
	}
	{
		map $lightmap 
		blendFunc filter
		rgbgen identity
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc gl_dst_color gl_src_color
	}
}

textures/trickmap2/toxicsign
{
	qer_editorImage textures/trickmap2/toxicsign.jpg
	surfaceparm nonsolid
	surfaceparm detail
	{
		map textures/trickmap2/toxicsign.jpg
	}
	{
		map $lightmap 
		blendFunc filter
		rgbgen identity
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc gl_dst_color gl_src_color
	}
}

textures/trickmap2/stillbluegoo
{
	cull disable
	surfaceparm water
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm fog
	q3map_lightSubdivide 64
	TessSize 256
	deformVertexes wave 45 sin 5 4 2 .6
	q3map_surfaceLight 50
	qer_editorImage textures/trickmap2/bluegoo.jpg
	fogparms ( 0 0 0.2 ) 1024
	{ 
		map textures/trickmap2/bluegoo.jpg
		rgbgen identity
		tcmod scale .5 .5
	}
	{
		map $lightmap
		blendFunc filter
		rgbgen identity		
	}
}


textures/trickmap2/innerpipe
{
	qer_editorimage "textures/trickmap2/greengoo.jpg"
	cull disable
	surfaceparm water
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm fog
	q3map_surfaceLight 50
	fogparms ( 0 0.2 0 ) 1024
	{ 
		map textures/trickmap2/greengoo.jpg
		//blendFunc gl_dst_color gl_src_color
		rgbgen identity
		tcmod scale .5 .5
		// tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 1
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc gl_dst_color gl_src_color
	}
	{
		map $lightmap
		blendFunc filter
		rgbgen identity		
	}
}
textures/trickmap2/faintyellow
{
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nonsolid
	{
		map textures/trickmap2/faintyellow.tga
		blendFunc gl_src_alpha gl_one_minus_src_alpha
	}
	{
		map textures/trickmap2/envmap.tga
		tcgen environment
		blendFunc gl_dst_color gl_src_color
	}
	{
		map $lightmap
		blendFunc filter
		rgbgen identity		
	}
}

textures/trickmap2/metalfloor
{
	surfaceparm	metalsteps
	{
		map textures/trickmap2/metalfloor.jpg
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
}

textures/trickmap2/pipephysical
{
	qer_editorImage textures/trickmap2/wood.jpg
	surfaceparm slick
	surfaceparm nodamage
	surfaceparm detail
	surfaceparm nodraw
}

textures/trickmap2/pipevisual
{
	qer_editorImage textures/trickmap2/wood.jpg
	surfaceparm nonsolid
	surfaceparm detail
	{
		map textures/trickmap2/wood.jpg	
	}
	{
		map $lightmap 
		blendFunc filter
		rgbgen identity
	}
	{
		map textures/trickmap2/tint.tga
		tcgen environment
		blendFunc gl_dst_color gl_src_color
	}
}

textures/trickmap2/skatetop
{
	qer_editorImage textures/trickmap2/concrete.jpg
	surfaceparm nodamage
	surfaceparm detail
	{
		map textures/trickmap2/concrete.jpg
	}
	{
		map $lightmap 
		blendFunc filter
		rgbgen identity
	}
}

textures/trickmap2/dancelight
{
	qer_editorImage textures/trickmap2/greenlight.tga
	surfaceparm trans
	surfaceparm nolightmap
	cull none
	q3map_surfaceLight 1800
	{
		animMap 10 textures/trickmap2/yellowlight.tga textures/trickmap2/greenlight.tga textures/trickmap2/redlight.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/trickmap2/unfoog
{
	qer_editorImage textures/trickmap2/unfoog.tga
	surfaceparm trans
	polygonOffset
	sort 6
	{
		map textures/trickmap2/unfoog.tga
		//alphaFunc GE128
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		//depthwrite
	}
	{
		map $lightmap 
		blendFunc filter
		rgbgen identity
		depthFunc equal
	}
}


textures/trickmap2/slicey
{
	qer_editorImage textures/trickmap2/slicey.tga
	surfaceparm trans
	polygonOffset
	sort 6
	{
		map textures/trickmap2/slicey.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap 
		blendFunc filter
		rgbgen identity
		depthFunc equal
	}
}
textures/trickmap2/deqth
{
	qer_editorImage textures/trickmap2/deqth.tga
	surfaceparm trans
	polygonOffset
	sort 6
	{
		map textures/trickmap2/deqth.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap 
		blendFunc filter
		rgbgen identity
		depthFunc equal
	}
}

textures/trickmap2/secretdoor
{
	qer_editorImage textures/bbq/01_bluewall.jpg
	{
		map textures/bbq/01_bluewall.jpg
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}
	q3map_styleMarker
	{
		map $lightmap
		blendFunc filter
		rgbgen identity		
	}
}
